com.fasterxml.jackson.dataformat.avro

## Enum AvroGenerator.Feature

- java.lang.Object
- - java.lang.Enum<AvroGenerator.Feature>
  - - com.fasterxml.jackson.dataformat.avro.AvroGenerator.Feature

- All Implemented Interfaces:
    com.fasterxml.jackson.core.FormatFeature, Serializable, Comparable<AvroGenerator.Feature>
  Enclosing class:
    AvroGenerator

      public static enum AvroGenerator.Feature
      extends Enum<AvroGenerator.Feature>
      implements com.fasterxml.jackson.core.FormatFeature

  Enumeration that defines all togglable features for Avro generators

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO_BUFFERING` Feature that can be disabled to prevent Avro from buffering any more data then absolutely necessary.
    `IGNORE_UNKWNOWN` Deprecated. Since 2.5 replaced by `JsonGenerator.Feature.IGNORE_UNKNOWN` which should be used instead

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_defaultState`
    `protected int` | `_mask`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
    `boolean` | `enabledByDefault()`
    `boolean` | `enabledIn(int flags)`
    `int` | `getMask()`
    `static AvroGenerator.Feature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AvroGenerator.Feature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IGNORE_UNKWNOWN

          @Deprecated
          public static final AvroGenerator.Feature IGNORE_UNKWNOWN

      Deprecated. Since 2.5 replaced by `JsonGenerator.Feature.IGNORE_UNKNOWN` which should be used instead
      Feature that can be enabled to quietly ignore serialization of properties that can not be mapped to output schema: if enabled, trying to output properties that do not map result in such output calls being discarded; if disabled, an exception is thrown.

      Feature is disabled by default.

      Since:
        2.4

    - #### AVRO_BUFFERING

          public static final AvroGenerator.Feature AVRO_BUFFERING

      Feature that can be disabled to prevent Avro from buffering any more data then absolutely necessary. This affects buffering by underlying codec.

      Enabled by default to preserve the existing behavior.

      Since:
        2.7

  - ### Field Detail

    - #### _defaultState

          protected final boolean _defaultState

    - #### _mask

          protected final int _mask

  - ### Method Detail

    - #### values

          public static AvroGenerator.Feature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AvroGenerator.Feature c : AvroGenerator.Feature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AvroGenerator.Feature valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### collectDefaults

          public static int collectDefaults()

      Method that calculates bit set (flags) of all features that are enabled by default.

    - #### enabledByDefault

          public boolean enabledByDefault()

      Specified by:
        `enabledByDefault` in interface `com.fasterxml.jackson.core.FormatFeature`

    - #### getMask

          public int getMask()

      Specified by:
        `getMask` in interface `com.fasterxml.jackson.core.FormatFeature`

    - #### enabledIn

          public boolean enabledIn(int flags)

      Specified by:
        `enabledIn` in interface `com.fasterxml.jackson.core.FormatFeature`

Copyright © 2016 FasterXML. All rights reserved.